<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__ble__tps_8h" kind="file" language="C++">
    <compoundname>cy_ble_tps.h</compoundname>
    <includes local="yes" refid="cy__ble_8h">cy_ble.h</includes>
    <includedby local="yes" refid="cy__ble__event__handler_8h">cy_ble_event_handler.h</includedby>
    <innerclass prot="public" refid="structcy__stc__ble__tps__char__value__t">cy_stc_ble_tps_char_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__tps__descr__value__t">cy_stc_ble_tps_descr_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__tpss__t">cy_stc_ble_tpss_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__tpsc__t">cy_stc_ble_tpsc_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__tpss__config__t">cy_stc_ble_tpss_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__tpsc__config__t">cy_stc_ble_tpsc_config_t</innerclass>
      <sectiondef kind="define">
      <memberdef id="cy__ble__tps_8h_1a187621745b566004b6a1deb43cb0b437" kind="define" prot="public" static="no">
        <name>CY_BLE_TPS_SERVICE_COUNT</name>
        <initializer>(1u)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" bodystart="35" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="35" />
      </memberdef>
      <memberdef id="cy__ble__tps_8h_1af6e89d5b24b31e195461b723f90f6994" kind="define" prot="public" static="no">
        <name>CY_BLE_TPS_TX_POWER_LEVEL_SIZE</name>
        <initializer>(1u)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" bodystart="36" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="36" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="enum">
      <memberdef id="group__group__ble__service__api___t_p_s__definitions_1ga5e2c3ee351157ee2eacbde1a425ec001" kind="enum" prot="public" static="no">
        <name>cy_en_ble_tps_char_index_t</name>
        <enumvalue id="group__group__ble__service__api___t_p_s__definitions_1gga5e2c3ee351157ee2eacbde1a425ec001ab229999659dd62d9c1bd537267d90ada" prot="public">
          <name>CY_BLE_TPS_TX_POWER_LEVEL</name>
          <briefdescription>
<para>Tx Power Level Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___t_p_s__definitions_1gga5e2c3ee351157ee2eacbde1a425ec001a72cd27add45345b7386205659e9ecb83" prot="public">
          <name>CY_BLE_TPS_CHAR_COUNT</name>
          <briefdescription>
<para>Total Count of Characteristics. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_tps_char_index_t: </bold><linebreak />TPS Characteristic indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="52" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" bodystart="48" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="49" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___t_p_s__definitions_1ga19c7f0a75bb07aea86405ac00be099f4" kind="enum" prot="public" static="no">
        <name>cy_en_ble_tps_char_descriptors_t</name>
        <enumvalue id="group__group__ble__service__api___t_p_s__definitions_1gga19c7f0a75bb07aea86405ac00be099f4a25343063b1058e79f79e15072319cc7a" prot="public">
          <name>CY_BLE_TPS_CCCD</name>
          <briefdescription>
<para>Tx Power Level Client Characteristic configuration descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___t_p_s__definitions_1gga19c7f0a75bb07aea86405ac00be099f4adbe4d2b7b391ad1f8710cf82707d36eb" prot="public">
          <name>CY_BLE_TPS_DESCR_COUNT</name>
          <briefdescription>
<para>Total Count of Tx Power Service Characteristic descriptors. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_tps_char_descriptors_t: </bold><linebreak />TPS Characteristic Descriptors indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="59" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" bodystart="55" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="56" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="var">
      <memberdef id="cy__ble__tps_8h_1a9b857b8ccdec85c6c022c76efa1b7db7" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ble__tpss__config__t">cy_stc_ble_tpss_config_t</ref> *</type>
        <definition>const cy_stc_ble_tpss_config_t* cy_ble_tpssConfigPtr</definition>
        <argsstring />
        <name>cy_ble_tpssConfigPtr</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.c" bodystart="54" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="195" />
      </memberdef>
      <memberdef id="cy__ble__tps_8h_1a2a7d8e7bbadf462c6b17f0608f8962b2" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ble__tpsc__config__t">cy_stc_ble_tpsc_config_t</ref> *</type>
        <definition>const cy_stc_ble_tpsc_config_t* cy_ble_tpscConfigPtr</definition>
        <argsstring />
        <name>cy_ble_tpscConfigPtr</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.c" bodystart="57" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="196" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___t_p_s__server__client_1gac47a7c7e439ff35c249394a000adf36c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_TPSS_Init</definition>
        <argsstring>(const cy_stc_ble_tpss_config_t *config)</argsstring>
        <name>Cy_BLE_TPSS_Init</name>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__ble__tpss__config__t">cy_stc_ble_tpss_config_t</ref> *</type>
          <declname>config</declname>
        </param>
        <briefdescription>
<para>This function initializes server of the Tx Power service. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>Configuration structure for the TPS.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref> : Return value indicates whether the function succeeded or failed. The following are possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The function completed successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL as input parameter. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Buffer overflow in the registration callback. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="100" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.c" bodystart="79" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="129" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___t_p_s__server__client_1gaaa383e6ec370e53992705c12fab4de09" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_TPSC_Init</definition>
        <argsstring>(const cy_stc_ble_tpsc_config_t *config)</argsstring>
        <name>Cy_BLE_TPSC_Init</name>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__ble__tpsc__config__t">cy_stc_ble_tpsc_config_t</ref> *</type>
          <declname>config</declname>
        </param>
        <briefdescription>
<para>This function initializes client of the Tx Power service. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>Configuration structure for the TPS.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref> : Return value indicates whether the function succeeded or failed. The following are possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The function completed successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL as input parameter. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Buffer overflow in the registration callback. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="167" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.c" bodystart="122" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="130" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___t_p_s__server__client_1ga5f7ff3742aafefa9f3e1341935416fa7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_BLE_TPS_RegisterAttrCallback</definition>
        <argsstring>(cy_ble_callback_t callbackFunc)</argsstring>
        <name>Cy_BLE_TPS_RegisterAttrCallback</name>
        <param>
          <type><ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1ga61c94db1ed82ed7113ce6aaecb5fead8">cy_ble_callback_t</ref></type>
          <declname>callbackFunc</declname>
        </param>
        <briefdescription>
<para>Registers a callback function for service-specific attribute operations. </para>        </briefdescription>
        <detaileddescription>
<para>Service-specific Write Requests from the peer device will not be handled with an unregistered callback function.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>callbackFunc</parametername>
</parameternamelist>
<parameterdescription>
<para>An application layer event callback function to receive events from the PSoC 6 BLE Middleware. The definition of <ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1ga61c94db1ed82ed7113ce6aaecb5fead8">cy_ble_callback_t</ref> for TPS service is:<linebreak />
 typedef void (* cy_ble_callback_t) (uint32_t eventCode, void *eventParam), where:<itemizedlist>
<listitem><para>eventCode: Indicates the event that triggered this callback; (e.g. <ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51ae9bad11fd96090550a231ba0d20b103a">CY_BLE_EVT_TPSS_NOTIFICATION_ENABLED</ref>).</para></listitem><listitem><para>eventParam: Contains the parameters corresponding to the current event; (e.g. pointer to <ref kindref="compound" refid="structcy__stc__ble__tps__char__value__t">cy_stc_ble_tps_char_value_t</ref> structure that contains details of the characteristic for which the notification enabled event was triggered). </para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="194" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.c" bodystart="191" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="131" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___t_p_s__server_1ga6e2054191cd679e45aba1a05151c6bf4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_TPSS_SetCharacteristicValue</definition>
        <argsstring>(cy_en_ble_tps_char_index_t charIndex, uint8_t attrSize, int8_t *attrValue)</argsstring>
        <name>Cy_BLE_TPSS_SetCharacteristicValue</name>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___t_p_s__definitions_1ga5e2c3ee351157ee2eacbde1a425ec001">cy_en_ble_tps_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>attrSize</declname>
        </param>
        <param>
          <type>int8_t *</type>
          <declname>attrValue</declname>
        </param>
        <briefdescription>
<para>Sets characteristic value of the Tx Power service, which is identified by charIndex. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the characteristic value attribute.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the characteristic value data that should be stored in the GATT database. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The request was handled successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="312" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.c" bodystart="283" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="140" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___t_p_s__server_1gaa577d1802fe2da3b04cc30e97985a9df" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_TPSS_GetCharacteristicValue</definition>
        <argsstring>(cy_en_ble_tps_char_index_t charIndex, uint8_t attrSize, int8_t *attrValue)</argsstring>
        <name>Cy_BLE_TPSS_GetCharacteristicValue</name>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___t_p_s__definitions_1ga5e2c3ee351157ee2eacbde1a425ec001">cy_en_ble_tps_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>attrSize</declname>
        </param>
        <param>
          <type>int8_t *</type>
          <declname>attrValue</declname>
        </param>
        <briefdescription>
<para>Gets characteristic value of the Tx Power service, which is identified by charIndex. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the Tx Power characteristic.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the Tx Power characteristic value attribute.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the location where Tx Power characteristic value data should be stored.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The request was handled successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="366" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.c" bodystart="338" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="143" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___t_p_s__server_1gae5e422afb8cae0e5014e95f09f576b4a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_TPSS_GetCharacteristicDescriptor</definition>
        <argsstring>(cy_stc_ble_conn_handle_t connHandle, cy_en_ble_tps_char_index_t charIndex, cy_en_ble_tps_char_descriptors_t descrIndex, uint8_t attrSize, uint8_t *attrValue)</argsstring>
        <name>Cy_BLE_TPSS_GetCharacteristicDescriptor</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
          <declname>connHandle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___t_p_s__definitions_1ga5e2c3ee351157ee2eacbde1a425ec001">cy_en_ble_tps_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___t_p_s__definitions_1ga19c7f0a75bb07aea86405ac00be099f4">cy_en_ble_tps_char_descriptors_t</ref></type>
          <declname>descrIndex</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>attrSize</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>attrValue</declname>
        </param>
        <briefdescription>
<para>Gets characteristic descriptor of specified characteristic of the Tx Power service. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>connHandle</parametername>
</parameternamelist>
<parameterdescription>
<para>The connection handle.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the characteristic.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>descrIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the descriptor.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the characteristic value attribute.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the location where characteristic descriptor value data should be stored.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The request was handled successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_GATT_DB_INVALID_ATTR_HANDLE&lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Optional descriptor is absent. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="435" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.c" bodystart="397" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="146" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___t_p_s__server_1gab0164b769738e4577fa4a5640d20dd26" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_TPSS_SendNotification</definition>
        <argsstring>(cy_stc_ble_conn_handle_t connHandle, cy_en_ble_tps_char_index_t charIndex, uint8_t attrSize, int8_t *attrValue)</argsstring>
        <name>Cy_BLE_TPSS_SendNotification</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
          <declname>connHandle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___t_p_s__definitions_1ga5e2c3ee351157ee2eacbde1a425ec001">cy_en_ble_tps_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>attrSize</declname>
        </param>
        <param>
          <type>int8_t *</type>
          <declname>attrValue</declname>
        </param>
        <briefdescription>
<para>Sends a notification with the characteristic value, as specified by charIndex, to the client device. </para>        </briefdescription>
        <detaileddescription>
<para>On enabling notification successfully for a service characteristic it sends out a 'Handle Value Notification', which results in <ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51a163d06cb4f79e9ccf3a2c44361e30ae4">CY_BLE_EVT_TPSC_NOTIFICATION</ref> event at the GATT Client's end.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>connHandle</parametername>
</parameternamelist>
<parameterdescription>
<para>The connection handle.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the characteristic value attribute.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the characteristic value data that should be sent to the client's device.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The request was handled successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Operation is invalid for this characteristic. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_STATE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Connection with the client is not established. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_NTF_DISABLED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Notification is not enabled by the client. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="521" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.c" bodystart="471" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="151" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___t_p_s__client_1ga6b782f0a1fe5a64d0935c2b4ce52af99" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_TPSC_GetCharacteristicValue</definition>
        <argsstring>(cy_stc_ble_conn_handle_t connHandle, cy_en_ble_tps_char_index_t charIndex)</argsstring>
        <name>Cy_BLE_TPSC_GetCharacteristicValue</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
          <declname>connHandle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___t_p_s__definitions_1ga5e2c3ee351157ee2eacbde1a425ec001">cy_en_ble_tps_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <briefdescription>
<para>Gets the characteristic value of the Tx Power service, which is identified by charIndex. </para>        </briefdescription>
        <detaileddescription>
<para>This function call can result in generation of the following events based on the response from the server device:<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51aa840379059a7014c8c3682a875a1843c">CY_BLE_EVT_TPSC_READ_CHAR_RESPONSE</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a89dd75cdee5a4cf9131a12ad37363fd3">CY_BLE_EVT_GATTC_ERROR_RSP</ref></para></listitem></itemizedlist>
</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>connHandle</parametername>
</parameternamelist>
<parameterdescription>
<para>The connection handle.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the characteristic.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The Read Request was sent successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Operation is invalid for this characteristic. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_STATE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Connection with the server is not established. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_GATT_DB_INVALID_ATTR_HANDLE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The peer device doesn't have the particular characteristic. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><simplesect kind="par"><title>Events</title><para>If execution is successful (return value = <ref kindref="member" refid="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea26e476ee364252903ce212deeb6ec064">CY_BLE_SUCCESS</ref>) these events can appear: <linebreak />
If the TPS service-specific callback is registered (with <ref kindref="member" refid="group__group__ble__service__api___t_p_s__server__client_1ga5f7ff3742aafefa9f3e1341935416fa7">Cy_BLE_TPS_RegisterAttrCallback</ref>):<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51aa840379059a7014c8c3682a875a1843c">CY_BLE_EVT_TPSC_READ_CHAR_RESPONSE</ref> - if the requested attribute is successfully read on the peer device, the details (charIndex, value, etc.) are provided with an event parameter structure of type <ref kindref="compound" refid="structcy__stc__ble__tps__char__value__t">cy_stc_ble_tps_char_value_t</ref>.</para></listitem></itemizedlist>
Otherwise (if a TPS service-specific callback is not registered):<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a9f66de88a47e0eb5cd2026421ffcea24">CY_BLE_EVT_GATTC_READ_RSP</ref> - if the requested attribute is successfully read on the peer device, the details (handle, value, etc.) are provided with the event parameters structure <ref kindref="compound" refid="structcy__stc__ble__gattc__read__rsp__param__t">cy_stc_ble_gattc_read_rsp_param_t</ref>.</para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a89dd75cdee5a4cf9131a12ad37363fd3">CY_BLE_EVT_GATTC_ERROR_RSP</ref> - If an error occurred with the requested attribute on the peer device, the details are provided with the event parameters structure <ref kindref="compound" refid="structcy__stc__ble__gatt__err__param__t">cy_stc_ble_gatt_err_param_t</ref>. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="926" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.c" bodystart="892" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="162" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___t_p_s__client_1gaca0ec29fd5e1c49a5a9c38e5909d9094" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_TPSC_SetCharacteristicDescriptor</definition>
        <argsstring>(cy_stc_ble_conn_handle_t connHandle, cy_en_ble_tps_char_index_t charIndex, cy_en_ble_tps_char_descriptors_t descrIndex, uint8_t attrSize, uint8_t *attrValue)</argsstring>
        <name>Cy_BLE_TPSC_SetCharacteristicDescriptor</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
          <declname>connHandle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___t_p_s__definitions_1ga5e2c3ee351157ee2eacbde1a425ec001">cy_en_ble_tps_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___t_p_s__definitions_1ga19c7f0a75bb07aea86405ac00be099f4">cy_en_ble_tps_char_descriptors_t</ref></type>
          <declname>descrIndex</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>attrSize</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>attrValue</declname>
        </param>
        <briefdescription>
<para>Sets a characteristic descriptor value of the Tx Power service. </para>        </briefdescription>
        <detaileddescription>
<para>Internally, Write Request is sent to the GATT Server and on successful execution of the request on the server side, the following events can be generated:<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51ae9bad11fd96090550a231ba0d20b103a">CY_BLE_EVT_TPSS_NOTIFICATION_ENABLED</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51ae27117fd3a40ee8e0838b3643550c22f">CY_BLE_EVT_TPSS_NOTIFICATION_DISABLED</ref></para></listitem></itemizedlist>
</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>connHandle</parametername>
</parameternamelist>
<parameterdescription>
<para>The connection handle.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the Characteristic</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>descrIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the TX Power service characteristic descriptor.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the characteristic descriptor attribute.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the characteristic descriptor value data that should be sent to the server device.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The request was sent successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Operation is invalid for this characteristic. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_GATT_DB_INVALID_ATTR_HANDLE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The peer device doesn't have the particular characteristic. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_STATE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Connection with the server is not established. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para><para><simplesect kind="par"><title>Events</title><para>If execution is successful (return value = <ref kindref="member" refid="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea26e476ee364252903ce212deeb6ec064">CY_BLE_SUCCESS</ref>), these events can appear: <linebreak />
 If a TPS service-specific callback is registered with <ref kindref="member" refid="group__group__ble__service__api___t_p_s__server__client_1ga5f7ff3742aafefa9f3e1341935416fa7">Cy_BLE_TPS_RegisterAttrCallback()</ref>:<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51ad9d0ea2aeb83060ccb02b7179fe676ea">CY_BLE_EVT_TPSC_WRITE_DESCR_RESPONSE</ref> - if the requested attribute is successfully written on the peer device, the details (charIndex, descrIndex etc.) are provided with an event parameter structure of type <ref kindref="compound" refid="structcy__stc__ble__tps__descr__value__t">cy_stc_ble_tps_descr_value_t</ref>.</para></listitem></itemizedlist>
Otherwise (if a TPS service-specific callback is not registered):<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a9a5f078b557f3991ed1356d08139b094">CY_BLE_EVT_GATTC_WRITE_RSP</ref> - If the requested attribute is successfully written on the peer device.</para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a89dd75cdee5a4cf9131a12ad37363fd3">CY_BLE_EVT_GATTC_ERROR_RSP</ref> - If an error occurred with the requested attribute on the peer device, the details are provided with an event parameter structure <ref kindref="compound" refid="structcy__stc__ble__gatt__err__param__t">cy_stc_ble_gatt_err_param_t</ref>. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1026" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.c" bodystart="984" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="165" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___t_p_s__client_1ga7b1784922ab56204e89316f2fef986ef" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_TPSC_GetCharacteristicDescriptor</definition>
        <argsstring>(cy_stc_ble_conn_handle_t connHandle, cy_en_ble_tps_char_index_t charIndex, cy_en_ble_tps_char_descriptors_t descrIndex)</argsstring>
        <name>Cy_BLE_TPSC_GetCharacteristicDescriptor</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
          <declname>connHandle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___t_p_s__definitions_1ga5e2c3ee351157ee2eacbde1a425ec001">cy_en_ble_tps_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___t_p_s__definitions_1ga19c7f0a75bb07aea86405ac00be099f4">cy_en_ble_tps_char_descriptors_t</ref></type>
          <declname>descrIndex</declname>
        </param>
        <briefdescription>
<para>Gets a characteristic descriptor of the Tx Power service. </para>        </briefdescription>
        <detaileddescription>
<para>This function call can result in generation of the following events based on the response from the server device:<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51a411620536c235d687f1d4f7a42f40f2c">CY_BLE_EVT_TPSC_READ_DESCR_RESPONSE</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a89dd75cdee5a4cf9131a12ad37363fd3">CY_BLE_EVT_GATTC_ERROR_RSP</ref></para></listitem></itemizedlist>
</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>connHandle</parametername>
</parameternamelist>
<parameterdescription>
<para>The connection handle.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the characteristic.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>descrIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the characteristic descriptor.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The request was sent successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Operation is invalid for this characteristic. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_STATE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Connection with the server is not established. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><simplesect kind="par"><title>Events</title><para>If execution is successful (return value = <ref kindref="member" refid="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea26e476ee364252903ce212deeb6ec064">CY_BLE_SUCCESS</ref>), these events can appear: <linebreak />
If a TPS service-specific callback is registered (with <ref kindref="member" refid="group__group__ble__service__api___t_p_s__server__client_1ga5f7ff3742aafefa9f3e1341935416fa7">Cy_BLE_TPS_RegisterAttrCallback</ref>):<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51a411620536c235d687f1d4f7a42f40f2c">CY_BLE_EVT_TPSC_READ_DESCR_RESPONSE</ref> - if the requested attribute is successfully read on the peer device, the details (charIndex, descrIndex, value, etc.) are provided with an event parameter structure of type <ref kindref="compound" refid="structcy__stc__ble__tps__descr__value__t">cy_stc_ble_tps_descr_value_t</ref>.</para></listitem></itemizedlist>
Otherwise (if a TPS service-specific callback is not registered):<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a9f66de88a47e0eb5cd2026421ffcea24">CY_BLE_EVT_GATTC_READ_RSP</ref> - if the requested attribute is successfully read on the peer device, the details (handle, value, etc.) are provided with the event parameters structure <ref kindref="compound" refid="structcy__stc__ble__gattc__read__rsp__param__t">cy_stc_ble_gattc_read_rsp_param_t</ref>.</para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a89dd75cdee5a4cf9131a12ad37363fd3">CY_BLE_EVT_GATTC_ERROR_RSP</ref> - If an error occurred with the requested attribute on the peer device, the details are provided with the event parameters structure <ref kindref="compound" refid="structcy__stc__ble__gatt__err__param__t">cy_stc_ble_gatt_err_param_t</ref>. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1112" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.c" bodystart="1077" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="170" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This file contains the function prototypes and constants used in the Tx Power service. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>3.50</para></simplesect>
<simplesect kind="copyright"><para>Copyright 2017-2020, Cypress Semiconductor Corporation. All rights reserved. You may use this file only in accordance with the license, terms, conditions, disclaimers, and limitations in the end user license agreement accompanying the software package with which this file was provided. </para></simplesect>
</para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="17"><highlight class="preprocessor">#ifndef<sp />CY_BLE_TPS_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="18"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_TPS_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="19"><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_ble.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="normal" /></codeline>
<codeline lineno="22"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXBLESS)</highlight><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /><highlight class="comment">/*<sp />C<sp />binding<sp />of<sp />definitions<sp />if<sp />building<sp />with<sp />C++<sp />compiler<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />__cplusplus<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="31"><highlight class="comment">*<sp />API<sp />Constants</highlight></codeline>
<codeline lineno="32"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="comment">/*<sp />Maximum<sp />supported<sp />Tx<sp />Power<sp />Services<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_TPS_SERVICE_COUNT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_TPS_TX_POWER_LEVEL_SIZE<sp /><sp /><sp /><sp />(1u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="40"><highlight class="comment">*<sp />Data<sp />Types</highlight></codeline>
<codeline lineno="41"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="normal">{</highlight></codeline>
<codeline lineno="50"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__service__api___t_p_s__definitions_1gga5e2c3ee351157ee2eacbde1a425ec001ab229999659dd62d9c1bd537267d90ada">CY_BLE_TPS_TX_POWER_LEVEL</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="51"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__service__api___t_p_s__definitions_1gga5e2c3ee351157ee2eacbde1a425ec001a72cd27add45345b7386205659e9ecb83">CY_BLE_TPS_CHAR_COUNT</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="52"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__ble__service__api___t_p_s__definitions_1ga5e2c3ee351157ee2eacbde1a425ec001">cy_en_ble_tps_char_index_t</ref>;</highlight></codeline>
<codeline lineno="53"><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal">{</highlight></codeline>
<codeline lineno="57"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__service__api___t_p_s__definitions_1gga19c7f0a75bb07aea86405ac00be099f4a25343063b1058e79f79e15072319cc7a">CY_BLE_TPS_CCCD</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="58"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__service__api___t_p_s__definitions_1gga19c7f0a75bb07aea86405ac00be099f4adbe4d2b7b391ad1f8710cf82707d36eb">CY_BLE_TPS_DESCR_COUNT</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="59"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__ble__service__api___t_p_s__definitions_1ga19c7f0a75bb07aea86405ac00be099f4">cy_en_ble_tps_char_descriptors_t</ref>;</highlight></codeline>
<codeline lineno="60"><highlight class="normal" /></codeline>
<codeline lineno="62" refid="structcy__stc__ble__tps__char__value__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="normal">{</highlight></codeline>
<codeline lineno="64"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp /><sp /><sp />connHandle;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="65"><highlight class="normal"><sp /><sp /><sp /><sp />cy_en_ble_tps_char_index_t<sp />charIndex;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="66"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref><sp /><sp /><sp /><sp />*value;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="67"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__ble__tps__char__value__t">cy_stc_ble_tps_char_value_t</ref>;</highlight></codeline>
<codeline lineno="68"><highlight class="normal" /></codeline>
<codeline lineno="70" refid="structcy__stc__ble__tps__descr__value__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal">{</highlight></codeline>
<codeline lineno="72"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />connHandle;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp />cy_en_ble_tps_char_index_t<sp /><sp /><sp /><sp /><sp /><sp /><sp />charIndex;<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="74"><highlight class="normal"><sp /><sp /><sp /><sp />cy_en_ble_tps_char_descriptors_t<sp />descrIndex;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="75"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*value;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="76"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__ble__tps__descr__value__t">cy_stc_ble_tps_descr_value_t</ref>;</highlight></codeline>
<codeline lineno="77"><highlight class="normal" /></codeline>
<codeline lineno="79" refid="structcy__stc__ble__tpss__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="normal">{</highlight></codeline>
<codeline lineno="82"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref><sp />serviceHandle;</highlight></codeline>
<codeline lineno="83"><highlight class="normal" /></codeline>
<codeline lineno="85"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref><sp />txPowerLevelCharHandle;</highlight></codeline>
<codeline lineno="86"><highlight class="normal" /></codeline>
<codeline lineno="88"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref><sp />txPowerLevelCccdHandle;</highlight></codeline>
<codeline lineno="89"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__ble__tpss__t">cy_stc_ble_tpss_t</ref>;</highlight></codeline>
<codeline lineno="90"><highlight class="normal" /></codeline>
<codeline lineno="92" refid="structcy__stc__ble__tpsc__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="93"><highlight class="normal">{</highlight></codeline>
<codeline lineno="95"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__srvr__char__info__t">cy_stc_ble_srvr_char_info_t</ref><sp /><sp />txPowerLevelChar;</highlight></codeline>
<codeline lineno="96"><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref><sp />txPowerLevelCccdHandle;</highlight></codeline>
<codeline lineno="99"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__ble__tpsc__t">cy_stc_ble_tpsc_t</ref>;</highlight></codeline>
<codeline lineno="100"><highlight class="normal" /></codeline>
<codeline lineno="102" refid="structcy__stc__ble__tpss__config__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="normal">{</highlight></codeline>
<codeline lineno="105"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__ble__tpss__t">cy_stc_ble_tpss_t</ref><sp />*attrInfo;</highlight></codeline>
<codeline lineno="106"><highlight class="normal" /></codeline>
<codeline lineno="107"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__ble__tpss__config__t">cy_stc_ble_tpss_config_t</ref>;</highlight></codeline>
<codeline lineno="108"><highlight class="normal" /></codeline>
<codeline lineno="110" refid="structcy__stc__ble__tpsc__config__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="normal">{</highlight></codeline>
<codeline lineno="113"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__tpsc__t">cy_stc_ble_tpsc_t</ref><sp />*attrInfo;</highlight></codeline>
<codeline lineno="114"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="116"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />serviceDiscIdx;</highlight></codeline>
<codeline lineno="117"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="118"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__ble__tpsc__config__t">cy_stc_ble_tpsc_config_t</ref>;</highlight></codeline>
<codeline lineno="122"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="123"><highlight class="comment">*<sp />Function<sp />Prototypes</highlight></codeline>
<codeline lineno="124"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="125"><highlight class="normal" /></codeline>
<codeline lineno="129"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___t_p_s__server__client_1gac47a7c7e439ff35c249394a000adf36c">Cy_BLE_TPSS_Init</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__ble__tpss__config__t">cy_stc_ble_tpss_config_t</ref><sp />*config);</highlight></codeline>
<codeline lineno="130"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___t_p_s__server__client_1gaaa383e6ec370e53992705c12fab4de09">Cy_BLE_TPSC_Init</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__ble__tpsc__config__t">cy_stc_ble_tpsc_config_t</ref><sp />*config);</highlight></codeline>
<codeline lineno="131"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__ble__service__api___t_p_s__server__client_1ga5f7ff3742aafefa9f3e1341935416fa7">Cy_BLE_TPS_RegisterAttrCallback</ref>(<ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1ga61c94db1ed82ed7113ce6aaecb5fead8">cy_ble_callback_t</ref><sp />callbackFunc);</highlight></codeline>
<codeline lineno="132"><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___t_p_s__server_1ga6e2054191cd679e45aba1a05151c6bf4">Cy_BLE_TPSS_SetCharacteristicValue</ref>(cy_en_ble_tps_char_index_t<sp />charIndex,<sp />uint8_t<sp />attrSize,</highlight></codeline>
<codeline lineno="141"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />int8_t<sp />*attrValue);</highlight></codeline>
<codeline lineno="142"><highlight class="normal" /></codeline>
<codeline lineno="143"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___t_p_s__server_1gaa577d1802fe2da3b04cc30e97985a9df">Cy_BLE_TPSS_GetCharacteristicValue</ref>(cy_en_ble_tps_char_index_t<sp />charIndex,<sp />uint8_t<sp />attrSize,</highlight></codeline>
<codeline lineno="144"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />int8_t<sp />*attrValue);</highlight></codeline>
<codeline lineno="145"><highlight class="normal" /></codeline>
<codeline lineno="146"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___t_p_s__server_1gae5e422afb8cae0e5014e95f09f576b4a">Cy_BLE_TPSS_GetCharacteristicDescriptor</ref>(<ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp />connHandle,</highlight></codeline>
<codeline lineno="147"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_tps_char_index_t<sp />charIndex,</highlight></codeline>
<codeline lineno="148"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_tps_char_descriptors_t<sp />descrIndex,</highlight></codeline>
<codeline lineno="149"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />attrSize,<sp />uint8_t<sp />*attrValue);</highlight></codeline>
<codeline lineno="150"><highlight class="normal" /></codeline>
<codeline lineno="151"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___t_p_s__server_1gab0164b769738e4577fa4a5640d20dd26">Cy_BLE_TPSS_SendNotification</ref>(<ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp />connHandle,</highlight></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_tps_char_index_t<sp />charIndex,<sp />uint8_t<sp />attrSize,</highlight></codeline>
<codeline lineno="153"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />int8_t<sp />*attrValue);</highlight></codeline>
<codeline lineno="154"><highlight class="normal" /></codeline>
<codeline lineno="162"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___t_p_s__client_1ga6b782f0a1fe5a64d0935c2b4ce52af99">Cy_BLE_TPSC_GetCharacteristicValue</ref>(<ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp />connHandle,</highlight></codeline>
<codeline lineno="163"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_tps_char_index_t<sp />charIndex);</highlight></codeline>
<codeline lineno="164"><highlight class="normal" /></codeline>
<codeline lineno="165"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___t_p_s__client_1gaca0ec29fd5e1c49a5a9c38e5909d9094">Cy_BLE_TPSC_SetCharacteristicDescriptor</ref>(<ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp />connHandle,</highlight></codeline>
<codeline lineno="166"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_tps_char_index_t<sp />charIndex,</highlight></codeline>
<codeline lineno="167"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_tps_char_descriptors_t<sp />descrIndex,</highlight></codeline>
<codeline lineno="168"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />attrSize,<sp />uint8_t<sp />*attrValue);</highlight></codeline>
<codeline lineno="169"><highlight class="normal" /></codeline>
<codeline lineno="170"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___t_p_s__client_1ga7b1784922ab56204e89316f2fef986ef">Cy_BLE_TPSC_GetCharacteristicDescriptor</ref>(<ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp />connHandle,</highlight></codeline>
<codeline lineno="171"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_tps_char_index_t<sp />charIndex,</highlight></codeline>
<codeline lineno="172"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_tps_char_descriptors_t<sp />descrIndex);</highlight></codeline>
<codeline lineno="173"><highlight class="normal" /></codeline>
<codeline lineno="177"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="178"><highlight class="comment">*<sp />Private<sp />Function<sp />Prototypes</highlight></codeline>
<codeline lineno="179"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="180"><highlight class="normal" /></codeline>
<codeline lineno="182"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref><sp />Cy_BLE_TPSC_GetCharacteristicValueHandle(<ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp />connHandle,</highlight></codeline>
<codeline lineno="183"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_tps_char_index_t<sp />charIndex);</highlight></codeline>
<codeline lineno="184"><highlight class="normal" /></codeline>
<codeline lineno="185"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref><sp />Cy_BLE_TPSC_GetCharacteristicDescriptorHandle(<ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp />connHandle,</highlight></codeline>
<codeline lineno="186"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_tps_char_index_t<sp />charIndex,</highlight></codeline>
<codeline lineno="187"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_tps_char_descriptors_t<sp />descrIndex);</highlight></codeline>
<codeline lineno="191"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="192"><highlight class="comment">*<sp />External<sp />Data<sp />references</highlight></codeline>
<codeline lineno="193"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="194"><highlight class="normal" /></codeline>
<codeline lineno="195"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__ble__tpss__config__t">cy_stc_ble_tpss_config_t</ref><sp />*cy_ble_tpssConfigPtr;</highlight></codeline>
<codeline lineno="196"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__ble__tpsc__config__t">cy_stc_ble_tpsc_config_t</ref><sp />*cy_ble_tpscConfigPtr;</highlight></codeline>
<codeline lineno="197"><highlight class="normal" /></codeline>
<codeline lineno="198"><highlight class="normal" /></codeline>
<codeline lineno="199"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="200"><highlight class="normal">}</highlight></codeline>
<codeline lineno="201"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />__cplusplus<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="202"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_IP_MXBLESS<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="203"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_BLE_TPS_H<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="204"><highlight class="normal" /></codeline>
<codeline lineno="205"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" />
  </compounddef>
</doxygen>